Bug 982336 - Review Request: python-dropbox - Official Dropbox REST API Client
Review Request: python-dropbox - Official Dropbox REST API Client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 13:57 EDT by Miro Hrončok
Modified: 2013-07-27 21:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-dropbox-1.6-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-27 21:07:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-07-08 13:57:36 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/python-dropbox.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/python-dropbox-1.6-1.fc19.src.rpm
Description: A Python library that for Dropbox's HTTP-based Core API.
Fedora Account System Username: churchyard
Comment 1 Mario Blättermann 2013-07-10 16:35:30 EDT
The tarball contains a bundled egg-info. You have to remove it in %prep so that it gets rebuilt:
rm -rf %{pypi_name}.egg-info
See http://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs for more info.

There's a duplicate python3-setuptools in BuildRequires, please remove it.

The example file is in the python2 package only. Unless it is not usable with python3, it should be available from both versions. Always consider the py2 and py3 versions of a package as completely independent from each other, so that useful docs should appear in both packages, too.

I take this for a full review.
Comment 2 Miro Hrončok 2013-07-10 17:10:54 EDT
(In reply to Mario Blättermann from comment #1)
> The tarball contains a bundled egg-info.
FIXED.

> There's a duplicate python3-setuptools in BuildRequires, please remove it.
FIXED.
 
> The example file is in the python2 package only.
There's a note about it in %files section

> I take this for a full review.
Thanks a lot. Good to see you back :)

Spec URL: https://raw.github.com/hroncok/SPECS/master/python-dropbox.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/python-dropbox-1.6-2.fc19.src.rpm
Comment 3 Mario Blättermann 2013-07-11 04:40:31 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5593508

$ rpmlint -i -v *python3-dropbox.noarch: I: checking
python3-dropbox.noarch: I: checking-url https://www.dropbox.com/developers/core/sdks (timeout 10 seconds)
python-dropbox.src: I: checking
python-dropbox.src: I: checking-url https://www.dropbox.com/developers/core/sdks (timeout 10 seconds)
python-dropbox.src: W: invalid-url Source1: dropbox-example.zip
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-dropbox.src: I: checking-url http://pypi.python.org/packages/source/d/dropbox/dropbox-1.6.tar.gz (timeout 10 seconds)
python-dropbox.noarch: I: checking
python-dropbox.noarch: I: checking-url https://www.dropbox.com/developers/core/sdks (timeout 10 seconds)
python-dropbox.noarch: W: spurious-executable-perm /usr/share/doc/python-dropbox-1.6/example/copy_between_accounts.py
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

python-dropbox.noarch: W: spurious-executable-perm /usr/share/doc/python-dropbox-1.6/example/search_cache.py
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

python-dropbox.noarch: W: spurious-executable-perm /usr/share/doc/python-dropbox-1.6/example/cli_client.py
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

python-dropbox.noarch: W: spurious-executable-perm /usr/share/doc/python-dropbox-1.6/example/web_upload_app.py
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

python-dropbox.spec: W: invalid-url Source1: dropbox-example.zip
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-dropbox.spec: I: checking-url http://pypi.python.org/packages/source/d/dropbox/dropbox-1.6.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 6 warnings.


The example file has no URL. No problem actually, but why not use the SDK which is downloadable directly from the Dropbox site (https://www.dropbox.com/static/developers/dropbox-python-sdk-1.6.zip)? This zip archive includes the example files and additionally some documentation files. Moreover, there's a license file which contains the MIT license.

Remove the executable bits from the appropriate files before installing them.
Comment 4 Miro Hrončok 2013-07-17 04:00:17 EDT
Sorry, I saw only old version on Dropbox website.

- Use source package from dropbox.org
- Added LICENSE
- chmod -x examples
- Added BR python-mock

Spec URL: https://raw.github.com/hroncok/SPECS/master/python-dropbox.spec
SRPM URL: http://churchyard.fedorapeople.org/SRPMS/python-dropbox-1.6-3.fc19.src.rpm
Comment 5 Christopher Meng 2013-07-17 04:15:02 EDT
Note: Not dropbox.org, but dropbox.com
Comment 6 Miro Hrončok 2013-07-17 04:37:04 EDT
Sorry, corrected.
Comment 7 Mario Blättermann 2013-07-17 14:46:04 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5621221

$ rpmlint -i -v *
python3-dropbox.noarch: I: checking
python3-dropbox.noarch: I: checking-url https://www.dropbox.com/developers/core/sdks (timeout 10 seconds)
python-dropbox.src: I: checking
python-dropbox.src: I: checking-url https://www.dropbox.com/developers/core/sdks (timeout 10 seconds)
python-dropbox.src: I: checking-url https://www.dropbox.com/static/developers/dropbox-python-sdk-1.6.zip (timeout 10 seconds)
python-dropbox.noarch: I: checking
python-dropbox.noarch: I: checking-url https://www.dropbox.com/developers/core/sdks (timeout 10 seconds)
python-dropbox.spec: I: checking-url https://www.dropbox.com/static/developers/dropbox-python-sdk-1.6.zip (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is silent.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    MIT
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    629846aa7a3343380735530194cfe255448f9bdd919a215da9d9346da2365d45  dropbox-python-sdk-1.6.zip
    629846aa7a3343380735530194cfe255448f9bdd919a215da9d9346da2365d45  dropbox-python-sdk-1.6.zip.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 8 Miro Hrončok 2013-07-18 10:16:06 EDT
New Package SCM Request
=======================
Package Name: python-dropbox
Short Description: Official Dropbox REST API Client
Owners: churchyard
Branches: f18 f19
Comment 9 Gwyn Ciesla 2013-07-18 10:23:31 EDT
Git done (by process-git-requests).
Comment 10 Miro Hrončok 2013-07-18 10:28:13 EDT
Thanks Mario, Jon.
Comment 11 Fedora Update System 2013-07-18 11:05:41 EDT
python-dropbox-1.6-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-dropbox-1.6-3.fc19
Comment 12 Fedora Update System 2013-07-18 11:09:39 EDT
python-dropbox-1.6-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-dropbox-1.6-3.fc18
Comment 13 Fedora Update System 2013-07-20 05:44:00 EDT
python-dropbox-1.6-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Fedora Update System 2013-07-27 21:07:08 EDT
python-dropbox-1.6-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-07-27 21:11:20 EDT
python-dropbox-1.6-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.